/*
 * Code for class WEL_GDIP_PIXEL_FORMAT
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F161_3990(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3991(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3992(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3993(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3994(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3995(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3996(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3997(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3998(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_3999(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4000(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4001(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4002(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4003(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4004(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4005(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4006(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4007(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4008(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4009(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4010(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4011(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4012(EIF_REFERENCE);
extern EIF_TYPED_VALUE F161_4013(EIF_REFERENCE, EIF_TYPED_VALUE);
extern EIF_TYPED_VALUE F161_4014(EIF_REFERENCE, EIF_TYPED_VALUE);
extern void EIF_Minit161(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_GDIP_PIXEL_FORMAT}.alpha */
EIF_TYPED_VALUE F161_3990 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 262144L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.canonical */
EIF_TYPED_VALUE F161_3991 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2097152L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.dontcare */
EIF_TYPED_VALUE F161_3992 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.extended */
EIF_TYPED_VALUE F161_3993 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1048576L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format16bppargb1555 */
EIF_TYPED_VALUE F161_3994 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 397319L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format16bppgrayscale */
EIF_TYPED_VALUE F161_3995 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1052676L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format16bpprgb555 */
EIF_TYPED_VALUE F161_3996 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 135173L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format16bpprgb565 */
EIF_TYPED_VALUE F161_3997 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 135174L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format1bppindexed */
EIF_TYPED_VALUE F161_3998 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 196865L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format24bpprgb */
EIF_TYPED_VALUE F161_3999 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 137224L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format32bppargb */
EIF_TYPED_VALUE F161_4000 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2498570L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format32bpppargb */
EIF_TYPED_VALUE F161_4001 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 925707L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format32bpprgb */
EIF_TYPED_VALUE F161_4002 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 139273L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format48bpprgb */
EIF_TYPED_VALUE F161_4003 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1060876L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format4bppindexed */
EIF_TYPED_VALUE F161_4004 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 197634L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format64bppargb */
EIF_TYPED_VALUE F161_4005 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3424269L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format64bpppargb */
EIF_TYPED_VALUE F161_4006 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1851406L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.format8bppindexed */
EIF_TYPED_VALUE F161_4007 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 198659L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.gdi */
EIF_TYPED_VALUE F161_4008 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 131072L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.indexed */
EIF_TYPED_VALUE F161_4009 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 65536L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.max */
EIF_TYPED_VALUE F161_4010 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.palpha */
EIF_TYPED_VALUE F161_4011 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 524288L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.undefined */
EIF_TYPED_VALUE F161_4012 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_GDIP_PIXEL_FORMAT}.is_valid */
EIF_TYPED_VALUE F161_4013 (EIF_REFERENCE Current, EIF_TYPED_VALUE arg1x)
{
	GTCX
	char *l_feature_name = "is_valid";
	RTEX;
#define arg1 arg1x.it_i4
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_INTEGER_32 ti4_6;
	EIF_INTEGER_32 ti4_7;
	EIF_INTEGER_32 ti4_8;
	EIF_INTEGER_32 ti4_9;
	EIF_INTEGER_32 ti4_10;
	EIF_INTEGER_32 ti4_11;
	EIF_INTEGER_32 ti4_12;
	EIF_INTEGER_32 ti4_13;
	EIF_INTEGER_32 ti4_14;
	EIF_INTEGER_32 ti4_15;
	EIF_INTEGER_32 ti4_16;
	EIF_INTEGER_32 ti4_17;
	EIF_INTEGER_32 ti4_18;
	EIF_INTEGER_32 ti4_19;
	EIF_INTEGER_32 ti4_20;
	EIF_INTEGER_32 ti4_21;
	EIF_INTEGER_32 ti4_22;
	EIF_INTEGER_32 ti4_23;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTCDT;
	RTSN;
	RTDA;
	RTLD;
	
	if ((arg1x.type & SK_HEAD) == SK_REF) arg1x.it_i4 = * (EIF_INTEGER_32 *) arg1x.it_r;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	RTLU (SK_BOOL, &Result);
	RTLU(SK_INT32,&arg1);
	RTLU (SK_REF, &Current);
	
	RTEAA(l_feature_name, 160, Current, 0, 1, 4111);
	RTSA(dtype);
	RTSC;
	RTME(dtype, 0);
	RTGC;
	RTDBGEAA(160, Current, 4111);
	RTIV(Current, RTAL);
	RTHOOK(1);
	RTDBGAL(Current, 0, 0x04000000, 1,0); /* Result */
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3988, dtype))(Current)).it_i4);
	ti4_2 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3989, dtype))(Current)).it_i4);
	ti4_3 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3990, dtype))(Current)).it_i4);
	ti4_4 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3991, dtype))(Current)).it_i4);
	ti4_5 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3992, dtype))(Current)).it_i4);
	ti4_6 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3993, dtype))(Current)).it_i4);
	ti4_7 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3994, dtype))(Current)).it_i4);
	ti4_8 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3995, dtype))(Current)).it_i4);
	ti4_9 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3996, dtype))(Current)).it_i4);
	ti4_10 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3997, dtype))(Current)).it_i4);
	ti4_11 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3998, dtype))(Current)).it_i4);
	ti4_12 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3999, dtype))(Current)).it_i4);
	ti4_13 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4000, dtype))(Current)).it_i4);
	ti4_14 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4001, dtype))(Current)).it_i4);
	ti4_15 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4002, dtype))(Current)).it_i4);
	ti4_16 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4003, dtype))(Current)).it_i4);
	ti4_17 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4004, dtype))(Current)).it_i4);
	ti4_18 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4005, dtype))(Current)).it_i4);
	ti4_19 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4006, dtype))(Current)).it_i4);
	ti4_20 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4007, dtype))(Current)).it_i4);
	ti4_21 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4008, dtype))(Current)).it_i4);
	ti4_22 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4009, dtype))(Current)).it_i4);
	ti4_23 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4010, dtype))(Current)).it_i4);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN)(arg1 == ti4_1) || (EIF_BOOLEAN)(arg1 == ti4_2)) || (EIF_BOOLEAN)(arg1 == ti4_3)) || (EIF_BOOLEAN)(arg1 == ti4_4)) || (EIF_BOOLEAN)(arg1 == ti4_5)) || (EIF_BOOLEAN)(arg1 == ti4_6)) || (EIF_BOOLEAN)(arg1 == ti4_7)) || (EIF_BOOLEAN)(arg1 == ti4_8)) || (EIF_BOOLEAN)(arg1 == ti4_9)) || (EIF_BOOLEAN)(arg1 == ti4_10)) || (EIF_BOOLEAN)(arg1 == ti4_11)) || (EIF_BOOLEAN)(arg1 == ti4_12)) || (EIF_BOOLEAN)(arg1 == ti4_13)) || (EIF_BOOLEAN)(arg1 == ti4_14)) || (EIF_BOOLEAN)(arg1 == ti4_15)) || (EIF_BOOLEAN)(arg1 == ti4_16)) || (EIF_BOOLEAN)(arg1 == ti4_17)) || (EIF_BOOLEAN)(arg1 == ti4_18)) || (EIF_BOOLEAN)(arg1 == ti4_19)) || (EIF_BOOLEAN)(arg1 == ti4_20)) || (EIF_BOOLEAN)(arg1 == ti4_21)) || (EIF_BOOLEAN)(arg1 == ti4_22)) || (EIF_BOOLEAN)(arg1 == ti4_23));
	RTVI(Current, RTAL);
	RTRS;
	RTHOOK(2);
	RTDBGLE;
	RTMD(0);
	RTLE;
	RTLO(3);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_BOOL; r.it_b = Result; return r; }
#undef arg1
}

/* {WEL_GDIP_PIXEL_FORMAT}.is_valid_format */
EIF_TYPED_VALUE F161_4014 (EIF_REFERENCE Current, EIF_TYPED_VALUE arg1x)
{
	GTCX
	char *l_feature_name = "is_valid_format";
	RTEX;
#define arg1 arg1x.it_i4
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_INTEGER_32 ti4_6;
	EIF_INTEGER_32 ti4_7;
	EIF_INTEGER_32 ti4_8;
	EIF_INTEGER_32 ti4_9;
	EIF_INTEGER_32 ti4_10;
	EIF_INTEGER_32 ti4_11;
	EIF_INTEGER_32 ti4_12;
	EIF_INTEGER_32 ti4_13;
	EIF_INTEGER_32 ti4_14;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTCDT;
	RTSN;
	RTDA;
	RTLD;
	
	if ((arg1x.type & SK_HEAD) == SK_REF) arg1x.it_i4 = * (EIF_INTEGER_32 *) arg1x.it_r;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	RTLU (SK_BOOL, &Result);
	RTLU(SK_INT32,&arg1);
	RTLU (SK_REF, &Current);
	
	RTEAA(l_feature_name, 160, Current, 0, 1, 4112);
	RTSA(dtype);
	RTSC;
	RTME(dtype, 0);
	RTGC;
	RTDBGEAA(160, Current, 4112);
	RTIV(Current, RTAL);
	RTHOOK(1);
	RTDBGAL(Current, 0, 0x04000000, 1,0); /* Result */
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3992, dtype))(Current)).it_i4);
	ti4_2 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3993, dtype))(Current)).it_i4);
	ti4_3 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3994, dtype))(Current)).it_i4);
	ti4_4 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3995, dtype))(Current)).it_i4);
	ti4_5 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3996, dtype))(Current)).it_i4);
	ti4_6 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3997, dtype))(Current)).it_i4);
	ti4_7 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3998, dtype))(Current)).it_i4);
	ti4_8 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(3999, dtype))(Current)).it_i4);
	ti4_9 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4000, dtype))(Current)).it_i4);
	ti4_10 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4001, dtype))(Current)).it_i4);
	ti4_11 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4002, dtype))(Current)).it_i4);
	ti4_12 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4003, dtype))(Current)).it_i4);
	ti4_13 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4004, dtype))(Current)).it_i4);
	ti4_14 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(4005, dtype))(Current)).it_i4);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN)(arg1 == ti4_1) || (EIF_BOOLEAN)(arg1 == ti4_2)) || (EIF_BOOLEAN)(arg1 == ti4_3)) || (EIF_BOOLEAN)(arg1 == ti4_4)) || (EIF_BOOLEAN)(arg1 == ti4_5)) || (EIF_BOOLEAN)(arg1 == ti4_6)) || (EIF_BOOLEAN)(arg1 == ti4_7)) || (EIF_BOOLEAN)(arg1 == ti4_8)) || (EIF_BOOLEAN)(arg1 == ti4_9)) || (EIF_BOOLEAN)(arg1 == ti4_10)) || (EIF_BOOLEAN)(arg1 == ti4_11)) || (EIF_BOOLEAN)(arg1 == ti4_12)) || (EIF_BOOLEAN)(arg1 == ti4_13)) || (EIF_BOOLEAN)(arg1 == ti4_14));
	RTVI(Current, RTAL);
	RTRS;
	RTHOOK(2);
	RTDBGLE;
	RTMD(0);
	RTLE;
	RTLO(3);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_BOOL; r.it_b = Result; return r; }
#undef arg1
}

void EIF_Minit161 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
